package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

import com.ym.mec.biz.dal.enums.ClassGroupTypeEnum;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;

/**
 * @Author Joburgess
 * @Date 2019/9/16
 */
public class TeacherPersonalAttendanceDto {

    /** 上课日期 */
    @ApiModelProperty(value = "上课日期",required = false)
    private java.util.Date classDate;

    /** 上课时间 */
    @ApiModelProperty(value = "上课时间",required = false)
    private java.util.Date startClassTime;

    /** 班级类型(普通班级、合奏班级) */
    @ApiModelProperty(value = "班级类型(普通班级、合奏班级、提高课班级、VIP班级)",required = false)
    private ClassGroupTypeEnum type;

    /** 班级名称 */
    @ApiModelProperty(value = "班级名称",required = false)
    private String name;

    /** 状态(正常签到，异常签到) */
    @ApiModelProperty(value = "状态(1正常签到，0异常签到，2正常签退) ",required = false)
    private YesOrNoEnum status;

    /** 备注 */
    @ApiModelProperty(value = "备注",required = false)
    private String remark;

    public Date getClassDate() {
        return classDate;
    }

    public void setClassDate(Date classDate) {
        this.classDate = classDate;
    }

    public Date getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(Date startClassTime) {
        this.startClassTime = startClassTime;
    }

    public ClassGroupTypeEnum getType() {
        return type;
    }

    public void setType(ClassGroupTypeEnum type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public YesOrNoEnum getStatus() {
        return status;
    }

    public void setStatus(YesOrNoEnum status) {
        this.status = status;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
